
// Test application for TextMessage class. See TextMessage.hh for more
// information.

#include <iostream>
#include <Message.h>
#include "TextMessage.hh"

int main()
{
	BApplication app("application/x-vnd.littlebig-test");
	// Construct a phoney BMessage:
	TextMessage t1('Test');
	t1.AddInt8("Life of brian", 65);
	t1.AddInt32("Port", 1701);
	t1.AddString("name", "Bjorn Tornqvist");
	t1.AddString("name", "Magnus Hjelmer");
	t1.AddBool("BeOS is cool@2MHz", true);
	t1.AddString("URL", "http://littlebig.rsn.hk-r.se");
	t1.AddDouble("magic number", 17.42);
	// Display original message:
	t1.PrintToStream();
	// Write it to a text-file:
	if (t1.WriteToTextFile("sombrero.ini") == B_OK)
	{
		// Display the file:
		cout << "-------sombrero.ini-------"<<endl;
		system("cat sombrero.ini");
		cout << "-------~sombrero.ini------"<<endl;
		// Reconstruct the message:
		TextMessage t2;
		t2.ReadFromTextFile("sombrero.ini");
		t2.PrintToStream();
	}
	return 0;
}
